package edu.columbia.sip;

public class HTTPToken extends ProtocolToken {

    // Please keep all static members in alphabetical order
    // for readability

    public static HTTPToken CONTENT_LENGTH = new HTTPToken("Content-length");
    public static HTTPToken CONTENT_TYPE = new HTTPToken("Content-type");

    /** not implemented
    private HTTPToken() {};
    */
    
    protected HTTPToken(String s) {
        super(s);
    }
    
    /**  overriding abstract ProtocolToken.isValidParam()
    */
    public boolean isValidParam(String s) {
        String key = getText();
        
        if (key.equals(CONTENT_TYPE.getText())) {
            if (true /*condition which tests if 's' is legal param for CONTENT_TYPEs*/ ) 
                return true;
            else 
                return false;               
        } 
        
        if (key.equals(CONTENT_LENGTH.getText())) {
            if (true /* condition which tests if 's' is legal param for CONTENT_LENGTHs */)
                return true;
            else 
                return false;
        }  // ... etc.
 
        return false;
    }

}