package edu.columbia.sip;

public class SIPURLException extends SIPException {
    private SIPURL _url;

    public SIPURLException(SIPURL url) {
        super();
        _url = url;
    }

    public SIPURLException(SIPURL url, String s) {
        super(s);
        _url = url;
    }

    public String toString() {
        return getMessage();
    }

    public String getMessage() {
        return ("SIPURLException for URL '" + _url.toString() + "': " + super.getMessage());
    }

    public SIPURL getSIPURL() {
        return _url;
    }
} // end class SIPURLException