package edu.columbia.sip.buddy;

import java.util.Vector;
import java.util.Enumeration;

public class SelectionManager {
    private Vector _selected;
    
    public SelectionManager() {
        _selected = new Vector();
    }

    public void clearSelection() {
        _selected.removeAllElements();
    }

    public void setSelection(Object o) {
        clearSelection();
        _selected.addElement(o);
    }
    
    public void addToSelection(Object o) {
        _selected.addElement(o);
    }

    public void setSelection(Object oa[]) {
        clearSelection();
        for (int i = 0; i < oa.length; i++) {
            _selected.addElement(oa[i]);
        }
    }
    
    public void removeFromSelection(Object o) {
        _selected.removeElement(o);
    }

    public boolean isEmpty() {
        return _selected.isEmpty();
    }
    
    public Enumeration getSelection() {
        return _selected.elements();
    }

    public int getSelectionSize() {
        return _selected.size();
    }

} // end class SelectionManager