package edu.columbia.sip;

public class SDPToken extends ProtocolToken {

    // Please keep all static members in alphabetical order
    // for readability

    public static SDPToken C = new SDPToken("c");
    public static SDPToken E = new SDPToken("e");
    public static SDPToken I = new SDPToken("i");
    public static SDPToken M = new SDPToken("m");
    public static SDPToken O = new SDPToken("o");
    public static SDPToken S = new SDPToken("s");
    public static SDPToken T = new SDPToken("t");
    public static SDPToken V = new SDPToken("v");

    /** not implemented 
    private SDPToken() {};
    */
    
    protected SDPToken(String s) {
        super(s);
    }
    
    
    /**  overriding abstract ProtocolToken.isValidParam()
    */
    public boolean isValidParam(String s) {
        String key = getText();
        
        if (key.equals(C.getText())) {
            if (true /*condition which tests if 's' is legal param for C */ ) 
                return true;
            else 
                return false;               
        } 
        
        if (key.equals(E.getText())) {
            if (true /* condition which tests if 's' is legal param for E */)
                return true;
            else 
                return false;
        }  // ... etc.
 
        return false;
    }
}