package edu.columbia.sip.buddy;

import com.sun.java.swing.JDialog;
import com.sun.java.swing.JLabel;
import com.sun.java.swing.JPanel;
import com.sun.java.swing.JTextField;
import com.sun.java.swing.JButton;

import java.awt.Container;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.awt.Insets;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

import java.util.Enumeration;

public class SessionEditor extends JDialog {

    public SessionEditor() {
        super(BuddyListApp.getTopLevelFrame(), "Session Manager");
        Container c = getContentPane();
        JPanel p = new JPanel();
        GridBagLayout gbl = new GridBagLayout();
        p.setLayout(gbl);
        GridBagConstraints gbc = new GridBagConstraints();
        GridBagConstraints gbc2 = new GridBagConstraints();
        Insets i1 = new Insets (1, 10, 1, 2); // top, left, bottom, right
        Insets i2 = new Insets (1, 2, 1, 10);

        gbc.insets = i1;
        gbc.gridwidth = gbc.RELATIVE;
        gbc2.insets = i2;
        gbc2.fill = gbc2.HORIZONTAL;
        gbc2.gridwidth = gbc2.REMAINDER;
        gbc2.weightx = 1;
        gbc2.weighty = 1;

        JLabel membersl = new JLabel ("Session includes the following members:");
        gbl.setConstraints(membersl, gbc2);
        p.add (membersl);

        for(Enumeration members = BuddyListApp.getSelectionManager().getSelection();
            members.hasMoreElements(); ) {
                p.add(new JLabel(members.nextElement().toString()));
        }
/*        fname = new JTextField(bud.getName());
        gbl.setConstraints(fname, gbc2);
        p.add(fname);

        l = new JLabel("Nickname: ");
        gbl.setConstraints(l, gbc);
        p.add (l);

        nick = new JTextField(bud.getNick());
        gbl.setConstraints(nick, gbc2);
        p.add(nick);

        l = new JLabel("SIP URL: ");
        gbl.setConstraints(l, gbc);
        p.add (l);

        url = new JTextField();
        if (bud.getSIPURL() != null) {
            url.setText( bud.getSIPURL().toString());
        }
        gbl.setConstraints(url, gbc2);
        p.add(url);
*/
        /*
        l = new JLabel("SIP server where registered: ");
        gbl.setConstraints(l, gbc2);
        p.add (l);

        serv = new JTextField();
        if (bud.getSIPServer() != null) {
            serv.setText(bud.getSIPServer());
        }
        gbl.setConstraints(serv, gbc2);
        p.add(serv);
          */
        JButton cancel = new JButton("Cancel");
        cancel.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                setVisible(false);
            }
        });

        JButton done = new JButton("Done");
  /*      done.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                _bud.setName(fname.getText());
                _bud.setNick(nick.getText());
                _bud.setSIPURL(url.getText());
            //    _bud.setSIPServer(serv.getText());
                BuddyList buds = BuddyListApp.getBuddies();
                int index = buds.getSelectedIndex();
                buds.replaceItem(_bud, index);
                setVisible(false);
            }
        });
*/

//        gbl.setConstraints(cancel, gbc);
//        gbl.setConstraints(done, gbc2);
        p.add(cancel);
        p.add(done);

        c.add(p);
        setSize(300, 200);

    }

}